# $Revision: 1.10 $, $Date: 2012/01/12 16:59:43 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	BGP
Summary:	Net::BGP - Border Gateway Protocol version 4 speaker/listener library
Summary(pl.UTF-8):	Net::BGP - biblioteka obsługująca Border Gateway Protocol w wersji 4
Name:		perl-Net-BGP
Version:	0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1a6c537a1b457f9ebf0bec1ce79c3d71
URL:		http://search.cpan.org/dist/Net-BGP/
%if %{with tests}
BuildRequires:	perl(List::Util) >= 1.01
BuildRequires:	perl-Test-Harness >= 2.00
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an implementation of the BGP-4 inter-domain routing
protocol. It encapsulates all of the functionality needed to establish
and maintain a BGP peering session and exchange routing update
information with the peer. It aims to provide a simple API to the BGP
protocol for the purposes of automation, logging, monitoring, testing,
and similar tasks using the power and flexibility of Perl. The module
does not implement the functionality of a RIB (Routing Information
Base) nor does it modify the kernel routing table of the host system.
However, such operations could be implemented using the API provided
by the module.

%description -l pl.UTF-8
Ten moduł jest implementacją protokołu routingu międzydomenowego
BGP-4. Zawiera on całą funkcjonalność potrzebną do ustanowienia i
zarządzania sesją BGP oraz wymiany informacji o uaktualnieniach
routingu z drugą stroną. Celem jest dostarczenie prostego API do
protokołu BGP do celów automatyzacji, logowania, monitorowania,
testowania i podobnych zadań z użyciem potęgi i elastyczności Perla.
Moduł nie zawiera implementacji RIB (Routing Information Base) ani
nie modyfikuje tablicy routingu w jądrze systemu, jednak takie
operacje mogą być zaimplementowane przy użyciu API dostarczonego
przez ten moduł.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv t/00-Signature.t{,.blah}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/BGP.pm
%{perl_vendorlib}/Net/BGP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-BGP.spec,v $
Revision 1.10  2012/01/12 16:59:43  zbyniu
- up to 0.14

Revision 1.9  2009/08/27 09:17:37  amateja
- updated to 0.13

Revision 1.8  2007/12/26 21:46:00  zbyniu
- up to 0.09; generic URL

Revision 1.7  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.5  2004/12/01 20:58:10  radek
- turned off signature test (why did it fail?)

Revision 1.4  2004/12/01 17:59:57  radek
- autoupdated to 0.08

Revision 1.3  2004/11/03 22:30:35  paladine
- formatting

Revision 1.2  2004/04/27 00:28:03  ankry
- license fixes, cosmetics

Revision 1.1  2003/12/17 15:01:27  qboosh
- new

